# $XAUTHORITY: the path to the xauth data used for connecting to the
# $displaynum: the X display to query

XAUTHORITY=$1/.Xauthority

export XUSER
export XAUTHORITY

d=/tmp/.X11-unix

for x in $d/X*; do
    displaynum=${x#$d/X}
    
    if [ "x$XAUTHORITY" != x ]; then
    	export DISPLAY=:"$displaynum"

	  if [ -x /usr/bin/fly-wmfunc ]; then
			/bin/sh -c "/usr/bin/fly-wmfunc FLYWM_LOCK &"
			#for other MAC levels
			#for SE1.5
			/usr/bin/find /var/private/tmp -type p -name "fly-wm-*" -exec /bin/sh -c 'echo FLYWM_LOCK > {}' \;
	  fi
	fi
done
